Skip to main content
`Ctrl`+`K`

# SNESGetFunctionDomainError

Gets the status of the domain error after a call to `SNESComputeFunction()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetFunctionDomainError(SNES snes, PetscBool *domainerror)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- domainerror - Set to `PETSC_TRUE` if there’s a domain error; `PETSC_FALSE` otherwise.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFunctionDomainError()`, `SNESComputeFunction()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages